edu.sc.seis.sod.subsetter.eventChannel

## Class EventChannelLogicalSubsetter

- java.lang.Object
- - edu.sc.seis.sod.subsetter.LogicalSubsetter
  - - edu.sc.seis.sod.subsetter.eventChannel.EventChannelLogicalSubsetter

- All Implemented Interfaces:
    SodElement, Subsetter
  Direct Known Subclasses:
    EventChannelAND, EventChannelNOT, EventChannelOR, EventChannelXOR

      public class EventChannelLogicalSubsetter
      extends LogicalSubsetter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.List<java.lang.String>` | `packages`

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `filterList`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EventChannelLogicalSubsetter()`
    `` | `EventChannelLogicalSubsetter(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventChannelSubsetter` | `createSubsetter(Subsetter s)`
    `java.util.List<java.lang.String>` | `getPackages()`
    `protected Subsetter` | `getSubsetter(Subsetter s)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `getSubsetters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### packages

          public static final java.util.List<java.lang.String> packages

  - ### Constructor Detail

    - #### EventChannelLogicalSubsetter

          public EventChannelLogicalSubsetter(org.w3c.dom.Element config)
                                       throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### EventChannelLogicalSubsetter

          protected EventChannelLogicalSubsetter()

  - ### Method Detail

    - #### getPackages

          public java.util.List<java.lang.String> getPackages()

      Specified by:
        `getPackages` in class `LogicalSubsetter`

    - #### getSubsetter

          protected Subsetter getSubsetter(Subsetter s)
                                    throws ConfigurationException

      Specified by:
        `getSubsetter` in class `LogicalSubsetter`
      Throws:
        `ConfigurationException`

    - #### createSubsetter

          public static EventChannelSubsetter createSubsetter(Subsetter s)
                                                       throws ConfigurationException

      Throws:
        `ConfigurationException`